# 2. Direct Rune Mint Process PSBT

## Direct Mint send PSBT

Send the signed PSBT and orderID obtained in the [previous step](https://docs.ordinalsbot.com/runes/direct-mint/1.-generate-direct-mint-psbt) to the following endpoint to&#x20;

<mark style="color:green;">`POST`</mark> `https://api.ordinalsbot.com/runes/direct-mint-psbt`

#### Request Body

<table><thead><tr><th width="174">Name</th><th width="106">Type</th><th>Description</th></tr></thead><tbody><tr><td>orderId<mark style="color:red;">*</mark></td><td>String</td><td>Order id obtained in the previous step</td></tr><tr><td>psbt<mark style="color:red;">*</mark></td><td>String</td><td>base64 string containing a fully signed PSBT</td></tr></tbody></table>

#### Example request body:

```json
{
    "orderId": "048534a2-f0b6-4e50-9ab8-6ce8784de098",
    "psbt": "cHNid..."
}
```

Example response:

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "createdAt": 1747731071531,
    "feeRate": 3,
    "id": "2bc3e26d-bcb3-498e-b3f3-eb0c15004ca7",
    "mintCount": 2,
    "minterAddress": "tb1q...",
    "orderType": "rune-direct-mint",
    "runeName": "RUNENAME",
    "sendAddress": "tb1pg...",
    "state": "completed",
    "status": "ok",
    "txs": [
        "e40b6087ad5c5d165cd22...",
        "9e065ab4a2e210dcbf779..."
    ],
    "updatedAt": 1747731125806
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```json
{
    status: 'error',
    error: 'error reason'
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ordinalsbot.com/runes/direct-mint/2.-direct-rune-mint-process-psbt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
